

#include "ADSPCM41x_Flash.h"
#include "ProcInclude.h"


unsigned int BUFFER_BASE = 0x11800E00;

unsigned int RINIT_KEY_ADDR = 0x11800FB0;
unsigned int RINIT_PTR_ADDR = 0x11800FB4;
unsigned int RINIT_CSIZ_ADDR = 0x11800FB8;
unsigned int RINIT_CNT_ADDR = 0x11800FBC;

unsigned int RINIT_KEY_VAL = 0x3744CA0C;        //(signature enabling the RINIT feature)
unsigned int RINIT_CNT_VAL = 1;                 //(count of one MMR adr/value pair to load)
unsigned int RINIT_CSIZ_VAL = 0;                //(no CRC enabled for this structure)

unsigned int ADDRESS_MMR1 =  0x40001008;     //Address of REG_TEPADS1_PCFG1
unsigned int VALUE_MMR1   =  0x00000800;


void LogicROM_ShutOffLeakage()
{
  
  //CM41xFlash_ResetController(FLASH_CONTROLLER_A);
  //CM41xFlash_ResetController(FLASH_CONTROLLER_B);

  CM41xFlash_WriteBuffer(FLASH_CONTROLLER_A, BUFFER_BASE,1, &ADDRESS_MMR1);
  CM41xFlash_WriteBuffer(FLASH_CONTROLLER_A, BUFFER_BASE+4, 1, &VALUE_MMR1);
   
  CM41xFlash_WriteBuffer(FLASH_CONTROLLER_A, RINIT_KEY_ADDR, 1, &RINIT_KEY_VAL);
  CM41xFlash_WriteBuffer(FLASH_CONTROLLER_A, RINIT_PTR_ADDR, 1, &BUFFER_BASE);
  CM41xFlash_WriteBuffer(FLASH_CONTROLLER_A, RINIT_CSIZ_ADDR, 1, &RINIT_CSIZ_VAL);
  CM41xFlash_WriteBuffer(FLASH_CONTROLLER_A, RINIT_CNT_ADDR, 1, &RINIT_CNT_VAL);
}