/* $Id: adi_spi.c 31153 2015-05-19 17:12:16Z mjohnson $ */
/*********************************************************************************

 Copyright(c) 2010 Analog Devices, Inc. All Rights Reserved.

 This software is proprietary and confidential.  By using this software you agree
 to the terms of the associated Analog Devices License Agreement.

 *********************************************************************************/
/*!
 * @file      adi_spi.c
 *
 * @brief     SPI driver global API implementation
 *
 * @details
 *            This is a source file which contains the implementation of global
 *            API functions of the SPI device.
 */


#include "sys/platform.h"

#if defined(__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)       || \
    defined(ADI_ADSP_CM41X)       || \
    defined(__ADSPBF707_FAMILY__) || \
    defined(__ADSPSC589_FAMILY__)
#include "adi_spi_bf6xx.c"
#else
#include "adi_spi_bf5xx.c"
#endif


