/*!
*********************************************************************************
Copyright(c) 2013 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

@file      adi_ctmr.c

@brief     Core Timer API implementation file.

@details   This is a source file which includes specific files based on the processor
           family. The included file will contain the implementation of timer service.

$Revision: 23891 $
$Date: 2013-12-16 11:24:21 -0500 (Mon, 16 Dec 2013) $
*********************************************************************************/


#if defined(__ADSPSC589_FAMILY__)

#include "adi_ctmr_sc58x.c"

#else

#include "adi_ctmr_bfxxx.c"

#endif


/*}*/
