/*!
*********************************************************************************
Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

@file      adi_tmr.c

@brief     Global GP Timer API implementation file.

@details   This is a source file which includes specific files based on the processor
           family. The included file will contain the implementation of timer service.

$Revision: 30697 $
$Date: 2015-04-17 10:35:58 -0400 (Fri, 17 Apr 2015) $
*********************************************************************************/

#include "sys/platform.h"

#if defined (__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)        || \
    defined(ADI_ADSP_CM41X)        || \
    defined(__ADSPBF707_FAMILY__)  || \
    defined(__ADSPSC589_FAMILY__)

#include "adi_tmr_bf6xx.c"

#else

#include "adi_tmr_bf5xx.c"

#endif


/*}*/
