/**************************************************************************************************************************
*	File name 							: ProcessorSpecific.h
*	Purpose								: Contains macros specific to the processor.
*	Author								: Mitesh Moonat
*	VDSP version used for testing		: CCES Cygnus M2
*	Hardware used						: N/A
*	Connection details 					: N/A
*	Guidelines for change				: N/A
**************************************************************************************************************************/

#ifndef PROCESSORSPECIFIC_H_
#define PROCESSORSPECIFIC_H_

/*************************************************************************************************************************
										MACROs
**************************************************************************************************************************/
	//Configures PE7(LED1) as output
	#define CONFIGURE_PASS_LED_AS_OUTPUT()\
		*pREG_PORTE_DIR_SET = 0xFFFF;

	//Sets PE7 (LED1)
	#define SET_PASS_LED()\
		*pREG_PORTE_DATA_SET  = 0xFFFF;

	//Clears PE7 (LED1)
	#define CLEAR_PASS_LED()\
		*pREG_PORTE_DATA_CLR  = 0xFFFF;

	//Sets PE5,PE6 (LED2,LED3)
	#define SET_FAIL_LED()\
		*pREG_PORTE_DATA_SET  = 0xFFFF;
                
	//Clears PE5,6 (LED2,LED3)
	#define CLEAR_FAIL_LED()\
		*pREG_PORTE_DATA_CLR  = 0xFFFF;

	//Configures PE5,PE6 (LED2,LED3) as output
	#define CONFIGURE_FAIL_LED_AS_OUTPUT()\
		*pREG_PORTE_DIR_SET = 0xFFFF;


#endif /* PROCESSORSPECIFIC_H_ */
