/*
  Oscillator Watchdog Initialization 
  ADSP-CM419 
  
*/
#include "device.h"
#include "OSCWD_Init.h"

void osc_wd_Enable(int FAULTPINDIS, int LOCK, int HODF, int HODEN, int CNGEN, int BOUF, int BOUEN, int FAULTEN, int MONDIS){
  
  *pREG_CGU0_OSCWDCTL |= ((FAULTPINDIS << BITP_CGU_OSCWDCTL_FAULTPINDIS) & BITM_CGU_OSCWDCTL_FAULTPINDIS);
  *pREG_CGU0_OSCWDCTL |= ((LOCK << BITP_CGU_OSCWDCTL_LOCK) & BITM_CGU_OSCWDCTL_LOCK);  
  *pREG_CGU0_OSCWDCTL |= ((HODF << BITP_CGU_OSCWDCTL_HODF) & BITM_CGU_OSCWDCTL_HODF); 
  *pREG_CGU0_OSCWDCTL |= ((HODEN << BITP_CGU_OSCWDCTL_HODEN) & BITM_CGU_OSCWDCTL_HODEN);  
  *pREG_CGU0_OSCWDCTL |= ((CNGEN << BITP_CGU_OSCWDCTL_CNGEN) & BITM_CGU_OSCWDCTL_CNGEN);  
  *pREG_CGU0_OSCWDCTL |= ((BOUF << BITP_CGU_OSCWDCTL_BOUF) & BITM_CGU_OSCWDCTL_BOUF);  
  *pREG_CGU0_OSCWDCTL |= ((BOUEN << BITP_CGU_OSCWDCTL_BOUEN) & BITM_CGU_OSCWDCTL_BOUEN); 
  *pREG_CGU0_OSCWDCTL |= ((FAULTEN << BITP_CGU_OSCWDCTL_FAULTEN) & BITM_CGU_OSCWDCTL_FAULTEN); 
  *pREG_CGU0_OSCWDCTL |= ((MONDIS << BITP_CGU_OSCWDCTL_MONDIS) & BITM_CGU_OSCWDCTL_MONDIS);  
}

void osc_wd_Reset(){
  
}

int osc_wd_STAT(){
  
  volatile int status;
  status = (*pREG_CGU0_STAT >> 15);
  
  return status;
}

  int osc_wd_FAULT(){
  
  volatile int fault;
  fault = ((*pREG_CGU0_STAT) >> 12) & 7;
  
  return fault;
}